Imports System.ComponentModel
Public Class ClassAsyncSQL
    Private sql As String
    Public WithEvents bw As BackgroundWorker
    Public dt As DataTable

    Public Sub New(sqlCommand As String)
        Me.bw = New BackgroundWorker()
        bw.WorkerReportsProgress = False
        bw.WorkerSupportsCancellation = False

        Me.sql = sqlCommand
    End Sub

    Private Sub bw_DoWork(ByVal sender As Object, ByVal e As DoWorkEventArgs) Handles bw.DoWork
        Me.dt = ClassDatabase.Return_Datatable(Me.sql, True)
    End Sub
End Class